﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

namespace Kevin.WebForm.Sample
{
    /// <summary>
    /// UserGet 的摘要说明
    /// </summary>
    public class UserGetHandler : IHttpHandler
    {

    public void ProcessRequest(HttpContext context)
    {
        context.Response.ContentType = "text/plain";

        int id = int.Parse(context.Request.Form["id"]);
        var user = Data.Users.FirstOrDefault(u=>u.ID == id);

        var engine = new ViewEngine<UserGet>();
        UserGet view = engine.LoadViewControl("/Controls/UserGet.ascx");
        view.DataBind(user);
        context.Response.Write(engine.RenderView(view));
        engine.Dispose();
        context.Response.Flush();
    }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}